Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.validate
Class SchemaAwareConfiguration.SurrogateSchema

    java.lang.Object
      com.saxonica.schema.SchemaStructure
          com.saxonica.schema.PreparedSchema
              com.saxonica.validate.SchemaAwareConfiguration.SurrogateSchema

All Implemented Interfaces:
  Serializable, SourceLocator

Enclosing class:
  SchemaAwareConfiguration

    public static class SchemaAwareConfiguration.SurrogateSchema

extends PreparedSchema

A SurrogateSchema is a dummy schema object that is stored in the schema cache while the schema for a given namespace is being processed. This ensures that other concurrent (or nested) attempts to process a schema for this namespace know that it is already being processed.

See Also:
  Serialized Form

Field Summary
`static SchemaAwareConfiguration.SurrogateSchema` | `THE_INSTANCE`

Method Summary

Methods inherited from class com.saxonica.schema.PreparedSchema
`addAnonymousType, addAttribute, addAttributeGroup, addComponent, addElementDecl, addGroup, addIdentityConstraint, addNotation, addSimpleType, addType, copyTo, getAttributeDecl, getAttributeGroup, getConfiguration, getElementDecl, getGroup, getIdentityConstraint, getNamePool, getNotation, getSchemaLocation, getSchemaType, getSimpleType, getTargetNamespace, getType, getVersion, iterateAttributeDeclarations, iterateAttributeGroups, iterateElementDeclarations, iterateIdentityConstraints, iterateModelGroups, iterateNotations, iterateTypes, merge, setConfiguration, setSchemaLocation, setTargetNamespace, setVersion, validate, validateReference`

Methods inherited from class com.saxonica.schema.SchemaStructure
`getColumnNumber, getFixupStatus, getLineNumber, getPublicId, getSystemId, getValidationStatus, lookForCycles, setFixupStatus, setLineNumber, setLocator, setSystemId, setValidationStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### THE_INSTANCE

    public static SchemaAwareConfiguration.SurrogateSchema THE_INSTANCE

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.